### Virtual Method

# Gimp Procedure run

#### Declaration [src]

    GimpValueArray*
    run (
      GimpProcedure* procedure,
      const GimpValueArray* args
    )

#### Description

No description available.

#### Parameters

`args`

  Type: `GimpValueArray`

  No description available.

  The data is owned by the caller of the function.

#### Return value

Type: `GimpValueArray`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.